Subject: Re: [PATCH -next] mfd: tps65912 needs MFD_CORE

From: Mark Brown <[email-masked]>
Date: Wed, 22 Jun 2011 19:29:15 +0100

On Wed, Jun 22, 2011 at 10:06:15AM -0700, Randy Dunlap wrote:
> From: Randy Dunlap <[email-masked]>
> 
> MFD_TPS65912 should select MFD_CORE so that mfd interfaces are
> available to it.  This fixes a build error when MFD_CORE=m and
> MFD_TPS65912=y (and no other TPS65912 kconfig symbols are enabled,
> so no other select MFD_CORE was done).

I posted a better patch for this earlier today - the bigger problem here
is that as with other MFD cores MFD_TPS65912 shouldn't be directly
selectable at all as it can't do anything useful without a bus
interface.